org.jboss.resteasy.plugins.providers.jaxb

## Interface JAXBContextFinder

- All Known Implementing Classes:
    AbstractJAXBContextFinder, FastinfoSetJAXBContextFinder, JsonJAXBContextFinder, XmlJAXBContextFinder

      public interface JAXBContextFinder

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JAXBContext` | `createContext(Annotation[] parameterAnnotations, Class... classes)`
    `JAXBContext` | `findCacheContext(MediaType mediaType, Annotation[] paraAnnotations, Class... classes)` This method creates a JAXBContext from a collection of classes.
    `JAXBContext` | `findCachedContext(Class type, MediaType mediaType, Annotation[] parameterAnnotations)` This method with find a JAXBContext for one type.
    `JAXBContext` | `findCacheXmlTypeContext(MediaType mediaType, Annotation[] paraAnnotations, Class... classes)` This method will find a JAXBContext from a set of XmlTypes that use an ObjectFactory for creation (i.e.

- - ### Method Detail

    - #### findCachedContext

          JAXBContext findCachedContext(Class type,
                                      MediaType mediaType,
                                      Annotation[] parameterAnnotations)
                                        throws JAXBException

      This method with find a JAXBContext for one type. The user can override the cache by defining a ContextResolver for the given media type.
      Parameters:
        `type` -
        `mediaType` -
        `parameterAnnotations` -
      Returns:
      Throws:
        `JAXBException`

    - #### findCacheContext

          JAXBContext findCacheContext(MediaType mediaType,
                                     Annotation[] paraAnnotations,
                                     Class... classes)
                                       throws JAXBException

      This method creates a JAXBContext from a collection of classes. Unlike the other findCachedContext() method, the user cannot override the JAXBContext created.
      Parameters:
        `mediaType` -
        `paraAnnotations` -
        `classes` -
      Returns:
      Throws:
        `JAXBException`

    - #### findCacheXmlTypeContext

          JAXBContext findCacheXmlTypeContext(MediaType mediaType,
                                            Annotation[] paraAnnotations,
                                            Class... classes)
                                              throws JAXBException

      This method will find a JAXBContext from a set of XmlTypes that use an ObjectFactory for creation (i.e. from xjc)
      Parameters:
        `mediaType` -
        `paraAnnotations` -
        `packages` -
      Returns:
      Throws:
        `JAXBException`

    - #### createContext

          JAXBContext createContext(Annotation[] parameterAnnotations,
                                  Class... classes)
                                    throws JAXBException

      Throws:
        `JAXBException`

Copyright © 2014. All Rights Reserved.